/// <reference types="node" />
export class BlockchainClient extends Blockchain {
    constructor(userConfig: any, options: any);
}
declare class Blockchain {
    constructor(userConfig: any, clientClass: any);
    userConfig: any;
    env: any;
    isDev: any;
    onReadyCallback: any;
    onExitCallback: any;
    logger: any;
    events: any;
    isStandalone: any;
    certOptions: any;
    config: {
        silent: any;
        client: any;
        ethereumClientBin: any;
        networkType: any;
        networkId: any;
        genesisBlock: any;
        datadir: any;
        mineWhenNeeded: any;
        rpcHost: string;
        rpcPort: any;
        rpcCorsDomain: any;
        rpcApi: any;
        port: any;
        nodiscover: any;
        mine: any;
        account: {};
        whisper: boolean;
        maxpeers: any;
        bootnodes: any;
        wsRPC: boolean;
        wsHost: string;
        wsPort: any;
        wsOrigins: any;
        wsApi: any;
        vmdebug: any;
        targetGasLimit: any;
        syncMode: any;
        verbosity: any;
        proxy: any;
        customOptions: any;
    };
    client: any;
    /**
     * Polls for a connection to an IPC server (generally this is set up
     * in the Embark process). Once connected, any logs logged to the
     * Logger will be shipped off to the IPC server. In the case of `embark
     * run`, the BlockchainListener module is listening for these logs.
     *
     * @returns {void}
     */
    initStandaloneProcess(): void;
    ipc: IPC | undefined;
    runCommand(cmd: any, options: any, callback: any): import("child_process").ChildProcess;
    run(): void;
    readyCallback(): void;
    kill(): void;
    isClientInstalled(callback: any): void;
}
import { IPC } from "embark-core";
export {};
//# sourceMappingURL=blockchain.d.ts.map